Subject: Re: Building a cross compiler Solaris to Cygwin
From: Christophe LYON <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Apr 2004 11:17:13 +0200

D
> > gcc -DHAVE_CONFIG_H -I. -I../../binutils-20040312-1/ld -I.
> > -D_GNU_SOURCE
> > -I. -I../../binutils-20040312-1/ld -I../bfd
> > -I../../binutils-20040312-1/ld/../bfd
> > -I../../binutils-20040312-1/ld/../include
> > -I../../binutils-20040312-1/ld/../intl -I../intl
> > -DLOCALEDIR="\"somepath/share/locale\""  -O2 -W -Wall
> > -Wstrict-prototypes -Wmissing-prototypes  -c
> > ../../binutils-20040312-1/ld/pe-dll.c
> > ../../binutils-20040312-1/ld/pe-dll.c:29: stdint.h: No such file or
> > directory
> > make[3]: *** [pe-dll.o] Error 1
> >
> 
> Hmmm.  IIRC stdint.h is the C99 integer types header file.  The fact it's
> missing on your solaris box and the fact that everything works ok on linux
> makes me wonder if maybe the version of gcc on your Solaris is much older
> than the one on your linux box and that's why it's not working.  Check the
> version # on the solaris; if it's really old, get a more up-to-date one at
> sunfreeware.com and see if that helps.

Well, I don't think it is a matter of gcc version: I have several of
them
installed, none of which provide stdint.h. I think it is more of a
vendor
responsibility to supply this. I have checked on a Solaris 2.8 box,
there
is no stdint.h in /usr/include.

> > I have tried many ways to get it succeed, including untarring
> > binutils, gcc and cygwin sources within the same directory tree
> > in the hope that configure would make the right thing automagically....
> 
> Whether or not that will work depends on the build script you're using.  The
> instructions that came with it should have been clear about how you're
> supposed to set up the directory tree.
> 

Well... I don't remember where I got the original shell script: it was
several years ago, by the time of cygwin 1.3.12... Since then I have
tried
hacking this script, but I think it is too much outdated, and probably
the build process has completely changed. My problem is that I haven't
been able to find a description of the current way of building a cross
compiler for Cygwin... except for the build-cross-gcc script mentionned
above.

Christophe.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/